无法在Swift应用中导入Firebase

赛义德·塔里克(Syed Tariq)

在尝试学习Firebase时,我遵循了Firebase网站的IOS Quickstart部分中的步骤。我使用Cocoapods,并完全按照记录的步骤进行操作。但是,“导入Firebase”会导致编译器错误。我在任何地方都看不到Framework,但确实看到了Firebase目标C文件。按照下载zip文件并将其添加到项目的手动过程,我可以使其工作。但是,我想了解我在做什么错。Xcode页面

东大卫

您不需要使用桥接头。

Firebase SDK使用Swift模块映射,因此您必须让CocoaPods知道。

使用此Podfile:

use_frameworks! # this allows you to use import Firebase
pod 'Firebase', '>= 2.5.0'

然后,您应该可以import Firebase在任何Swift文件中使用。

有时从CocoaPods安装打开后,XCode可能会感到困惑。做一个Cmd+K洁净和Cmd+Shift+R重建。如果那仍然给您带来错误,请重新启动Xcode并尝试清理并重新构建。

本文收集自互联网,转载请注明来源。

如有侵权,请联系 [email protected] 删除。

编辑于
0

我来说两句

0 条评论
登录 后参与评论

相关文章